#import <Flutter/Flutter.h>

typedef NS_ENUM(NSUInteger, TLEventStreamMode) {
    TLEventStreamModeRecordResult = 1,//测评结果
    TLEventStreamModeRecordStart = 2,//录制音频开始
    TLEventStreamModeRecordStop= 3,//录制音频结束
    TLEventStreamModeVolume = 4,//音量大小
    TLEventStreamModeAudioPath = 5,//音频本地路径
};

@interface IosFlutterAiPlugin : NSObject<FlutterPlugin>
/**录制结果事件数据流**/
@property (nonatomic, copy, nullable) FlutterEventSink recordResultSink;
/**停止录制事件数据流**/
@property (nonatomic, copy, nullable) FlutterEventSink stopRecordSink;
/**开始录制事件数据流**/
@property (nonatomic, copy, nullable) FlutterEventSink startRecordSink;
/**音量事件数据流**/
@property (nonatomic, copy, nullable) FlutterEventSink volumeSink;
/**音频路径事件数据流**/
@property (nonatomic, copy, nullable) FlutterEventSink audioPathSink;
+ (instancetype _Nullable )sharedInstance;
@end
